%define major 4

Summary: A software codec for DV video, used by most digital camcorders.
Name: libdv
Version: 0.104
Release: 5%{?dist}
License: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/libdv/%{name}-%{version}.tar.gz
Patch3: libdv-0.104-amd64reloc.patch
URL: http://libdv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: glib-devel >= 1.2.4, gtk+-devel >= 1.2.4
Requires: %{name}%{major} = %{evr}

%description 
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 

%package -n %{name}%{major}
Summary: A software codec for DV video, used by most digital camcorders.
Group: System Environment/Libraries

%description -n %{name}%{major}
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M.

%package devel
Summary: Development file for programs which use the libdv library.
Group: Development/Libraries
Requires: %{name} = %{eversion}, pkgconfig >= 0.9.0

%description devel
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 

This is the libraries, include files and other resources that are used to
incorporate libdv into applications.

%package tools
Summary: Basic tools to manipulate Digital Video streams.
Group: Applications/Multimedia
Requires: %{name} = %{eversion}

%description tools
This package contains some basic programs to display and encode
digital video streams. This programs uses the Quasar DV codec (libdv),
a software codec for DV video, the encoding format used by most
digital camcorders, typically those that support the IEEE 1394
(a.k.a. FireWire or i.Link) interface.

%prep
%setup -q
%patch3 -p3 -b .amd64reloc

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPY* NEWS README* TODO

%files -n %{name}%{major}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files tools
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Oct  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.103.

* Sun Apr 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.102.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.

* Thu Jan 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.99.

* Thu Sep 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file rewrite from the one included with the sources.

